Page MenuHomeFreeBSD

bridge tests: Basic span test
ClosedPublic

Authored by kp on Mar 4 2020, 6:11 PM.

Details

Summary

Sponsored by: The FreeBSD Foundation

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Isn't this test always going to succeed as long as the span can be removed? Or am I misunderstanding something?

The primary use case for the test is to see if WITNESS or INVARIANTS complain about something, so in that respect at least the test is useful to have.
It would be good to check that the span actually shows traffic though. I'll see if I can repurpose pft_ping.py for this. That should let us send a ping through one interface and verify that we see it on the span interface.

I think adding a test that some traffic actually passes is worthwhile, and probably a comment too about checking for WITNESS/INVARIANTS warnings (since the test does not do that programmatically).

Actually check for traffic on the span interface

I think adding a test that some traffic actually passes is worthwhile, and probably a comment too about checking for WITNESS/INVARIANTS warnings (since the test does not do that programmatically).

That's implicit. We do that in a lot of tests. An INVARIANTS violation is pretty obvious anyway.

Ping. Any remarks on the updated version?

Looks good to me. Thank you!

This revision is now accepted and ready to land.Mar 15 2020, 2:39 AM
This revision was landed with ongoing or failed builds.Mar 16 2020, 8:45 AM
Closed by commit rS359010: bridge tests: Basic span test (authored by kp). · Explain Why
This revision was automatically updated to reflect the committed changes.